package edu.neu.ccs.satsolver;

import java.util.Set;

/**
 * OutputI class instances are returned by the outsourcing team
 * code back to the csu team code as a result of computations.
 */
public interface OutputI {
    /**
     * Returns the maximum bias representing the bent coin for
     * the input pairs.
     * <p>
     * Valid return values are between 0 and 1.
     *
     * @return the maximum bias
     */
    public double getMaxBias();

    /**
     * Returns the polynomial generated by the PairI values.
     *  
     * @return Polynomial
     * 
     * @see edu.neu.ccs.satsolver.PolynomialI
     */
    public PolynomialI getPolynomial();
}
